OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_IndexedMapNodeOfLabelIndexedMap Class Reference

`#include <TDF_IndexedMapNodeOfLabelIndexedMap.hxx>`

## Public Member Functions
| TDF_IndexedMapNodeOfLabelIndexedMap (const TDF_Label &K1, const Standard_Integer K2, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
TDF_Label & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TDF_Label | myKey1
Standard_Integer | myKey2
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

TDF_IndexedMapNodeOfLabelIndexedMap::TDF_IndexedMapNodeOfLabelIndexedMap | ( | const TDF_Label & | K1,
|  | const Standard_Integer | K2,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const TDF_IndexedMapNodeOfLabelIndexedMap::Handle | ( | Standard_Type |  | ) | const

TDF_Label& TDF_IndexedMapNodeOfLabelIndexedMap::Key1 | ( |  | ) | const

Standard_Integer& TDF_IndexedMapNodeOfLabelIndexedMap::Key2 | ( |  | ) | const

TCollection_MapNodePtr& TDF_IndexedMapNodeOfLabelIndexedMap::Next2 | ( |  | ) | const

## Field Documentation

TDF_Label TDF_IndexedMapNodeOfLabelIndexedMap::myKey1`[private]`

Standard_Integer TDF_IndexedMapNodeOfLabelIndexedMap::myKey2`[private]`

TCollection_MapNodePtr TDF_IndexedMapNodeOfLabelIndexedMap::myNext2`[private]`

The documentation for this class was generated from the following file:

- TDF_IndexedMapNodeOfLabelIndexedMap.hxx